/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-15 at 19:54:36 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.fusiontables.model;

/**
 * Represents a line geometry.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Fusion Tables API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Line extends com.google.api.client.json.GenericJson {

  /**
   * The coordinates that define the line.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.util.List<java.lang.Double>> coordinates;

  /**
   * Type: A line geometry.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String type;

  /**
   * The coordinates that define the line.
   * @return value or {@code null} for none
   */
  public java.util.List<java.util.List<java.lang.Double>> getCoordinates() {
    return coordinates;
  }

  /**
   * The coordinates that define the line.
   * @param coordinates coordinates or {@code null} for none
   */
  public Line setCoordinates(java.util.List<java.util.List<java.lang.Double>> coordinates) {
    this.coordinates = coordinates;
    return this;
  }

  /**
   * Type: A line geometry.
   * @return value or {@code null} for none
   */
  public java.lang.String getType() {
    return type;
  }

  /**
   * Type: A line geometry.
   * @param type type or {@code null} for none
   */
  public Line setType(java.lang.String type) {
    this.type = type;
    return this;
  }

  @Override
  public Line set(String fieldName, Object value) {
    return (Line) super.set(fieldName, value);
  }

  @Override
  public Line clone() {
    return (Line) super.clone();
  }

}
